Skip to main content
GET
/
v1
/
vms
/
images
/
{image_id}
Download Image
curl --request GET \
  --url https://api.sfcompute.com/v1/vms/images/{image_id}
{
  "object": "image",
  "download_url": "<string>",
  "expires_at": "<string>",
  "image_id": "<string>",
  "name": "<string>",
  "sha256_hash": "<string>",
  "object_size": 1
}

Path Parameters

image_id
string
required

VM image ID

Response

Response body for image download presigned URL generation

object
enum<string>
required
Available options:
image
Example:

"image"

download_url
string
required

The presigned URL that can be used to download the image

expires_at
string
required

Timestamp when the presigned URL expires (RFC 3339 format)

image_id
string
required

The image ID

name
string
required

Human readable name of the image. Must be unique per account.

sha256_hash
string
required

SHA256 hash of the image file for integrity verification

object_size
integer<u-int64>
required

Size of the image file in bytes

Required range: x >= 0